/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.expense.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.audit.information.entity.Information;
import com.jeeplus.modules.sg.financial.erpcredit.entity.ErpCredit;
import com.jeeplus.modules.sg.financial.expense.entity.Expense;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ExpenseMapper extends BaseMapper<Expense> {
    void deleteDatas(List<String> ids);

    void insertData(Expense expense);

    void updateData(Expense expense);

    Expense selectByProjectId(String projectId);

    void insertList(@Param("expense") List<Expense> expenseList);

    List<Expense> findListMain(List<String> strings);
}